import { OnInit, EventEmitter } from '@angular/core';
import { FrequencyService } from '../frequency.service';
import * as i0 from "@angular/core";
export declare class FrequencyOnCompletionOfComponent implements OnInit {
    private frequencyService;
    mode: any;
    feature: any;
    DEFAULT_TIME: string;
    onCompletionOfInput: number;
    onCompletionOfWindow: number;
    onCompletionOfFailed: number;
    onCompletionOfTime: string;
    onCompletionOfResponsibility: Array<any>;
    isLifecycleModified: boolean;
    selectedResponsibility: number;
    placeholder: string;
    frequencyInfo: any;
    selectedResponsibilityDetails: any;
    startDate: number;
    frequencyData: any;
    lifecycleDetails: any;
    frequencyDetails: EventEmitter<any>;
    radioForm: EventEmitter<any>;
    openRadio: boolean;
    featureFlag_on_completion_of: any;
    backButton: boolean;
    isSelectedData: boolean;
    constructor(frequencyService: FrequencyService);
    ngOnInit(): void;
    populateFrequency(): void;
    onTimeChanged(event: string): void;
    onValueChange(event: any): void;
    onResponsibilitySelection(event: any): void;
    getCompletionReports(): void;
    inputValueChange(event: any): void;
    getOnCompletionFrequency(): void;
    openRadioResponsibility(event: any): void;
    remove(): void;
    timeSelection(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FrequencyOnCompletionOfComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FrequencyOnCompletionOfComponent, "app-frequency-on-completion-of", never, { "mode": { "alias": "mode"; "required": false; }; "feature": { "alias": "feature"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "frequencyData": { "alias": "frequencyData"; "required": false; }; }, { "frequencyDetails": "frequencyDetails"; "radioForm": "radioForm"; }, never, never, false, never>;
}
